<?php
/**
 * Clase Base Bean para BaseCrCovid19cabeceraBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCovid19cabeceraBN
 * @author     Willy
 * @version    SVN:: BaseCrCovid19cabeceraBN.class.php,v 1.1 2020-04-15 14:47:46 william.taype Exp $
 */
abstract class BaseCrCovid19cabeceraBN
{
  protected $Idsucursal;
  protected $Idmercado;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_covid19cabeceraBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_covid19cabeceraRs )
  {
    $o_CrCovid19cabeceraBN = new CrCovid19cabeceraBN();
    $o_CrCovid19cabeceraBN->setIdsucursal( $o_Cr_covid19cabeceraRs['idsucursal'] );
    $o_CrCovid19cabeceraBN->setIdmercado( $o_Cr_covid19cabeceraRs['idmercado'] );
    $o_CrCovid19cabeceraBN->setFecharegistro( $o_Cr_covid19cabeceraRs['fecharegistro'] );
    $o_CrCovid19cabeceraBN->setUsuarioregistro( $o_Cr_covid19cabeceraRs['usuarioregistro'] );
    return $o_CrCovid19cabeceraBN;
  }
}